Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.metadata
Interface ClassMetaDataLoader

All Known Implementing Classes:
  SimpleClassMetaDataLoader

public interface ClassMetaDataLoader

Version:
  $Revision: 1.7 $
Author:
  Bill Burke
See Also:

Method Summary
`void` | `bind(Advisor advisor, ClassMetaDataBinding data, javassist.CtMethod[] methods, javassist.CtField[] fields, javassist.CtConstructor[] constructors)` This is a prebind of metadata so that loader/compiler can work with metadata as strings
`void` | `bind(Advisor advisor, ClassMetaDataBinding data, Method[] methods, Field[] fields, Constructor[] constructors)` This is a full bind of metadata.
`ClassMetaDataBinding` | `importMetaData(Element element, String name, String tag, String classExpr)`

Method Detail

### importMetaData

    public ClassMetaDataBinding importMetaData(Element element,
                                               String name,
                                               String tag,
                                               String classExpr)
                                        throws Exception

  Throws:
    `Exception`

### bind

    public void bind(Advisor advisor,
                     ClassMetaDataBinding data,
                     javassist.CtMethod[] methods,
                     javassist.CtField[] fields,
                     javassist.CtConstructor[] constructors)
              throws Exception

  This is a prebind of metadata so that loader/compiler can work with metadata as strings

  Parameters:
    `advisor` -
    `data` -
    `methods` -
    `fields` -
    `constructors` -
  Throws:
    `Exception`

### bind

    public void bind(Advisor advisor,
                     ClassMetaDataBinding data,
                     Method[] methods,
                     Field[] fields,
                     Constructor[] constructors)
              throws Exception

  This is a full bind of metadata. It can work with real objects unlike the bind with Javassist types

  Parameters:
    `advisor` -
    `data` -
    `methods` -
    `fields` -
    `constructors` -
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.